Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
List all datasources within a knowledge base. Returns metadata, status, and configuration for each datasource in the specified knowledge base.
curl --request GET \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"display_name": "<string>",
"status": "pending",
"created": "<string>",
"updated": "<string>",
"knowledge_id": "<string>",
"chunks_count": 123,
"_id": "01KPTAPD87YF352Q4XMCRJ03M4",
"description": "<string>",
"file_id": "<string>",
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"has_more": true
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier of the knowledge base
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.
Search query to find datasources by name.
A limit on the number of objects to be returned. Limit can range between 1 and 50, and the default is 10
1 <= x <= 50Filter datasources by status.
["completed", "failed"]
Was this page helpful?
curl --request GET \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"display_name": "<string>",
"status": "pending",
"created": "<string>",
"updated": "<string>",
"knowledge_id": "<string>",
"chunks_count": 123,
"_id": "01KPTAPD87YF352Q4XMCRJ03M4",
"description": "<string>",
"file_id": "<string>",
"created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"update_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"has_more": true
}